/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-25 16:53:15
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-25 17:29:25
 * @FilePath: \general-ai-platform-web\mock\deviceCategory.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

/**设备组模块 mock */

import {
  mockGetDeviceCategoryFkSelectData,
  mockGetDeviceCategoryListData,
} from './pools/deviceCategoryData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList , fetchMockSuccessFullByOther} from './utils/apiMock';
export default {
  // 设备组列表分页
  'POST /api/v1/device_category/getDeviceCategoryList': async (req: Request, res: Response) => {
    const { page, pageSize } = req.body;

    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetDeviceCategoryListData,
        data: { ...mockGetDeviceCategoryListData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.send(resData);
  },

  // 设备类别选项列表不分页
  'POST /api/v1/device_category/getDeviceCategoryFkSelect': async (req: Request, res: Response) => {
    const resData: successMockApiProps = {
      ...fetchMockSuccessFullByOther(mockGetDeviceCategoryFkSelectData),
    };
    res.send(resData);
  },
};
