/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-24 17:18:11
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-25 13:09:42
 * @FilePath: \general-ai-platform-web\mock\modelVersion.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**模型版本模块 mock */

import { mockGetModelVersionListData , mockGetModelVersionFkSelect} from './pools/modelVersionData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList, fetchMockSuccessFullByOther } from './utils/apiMock';
export default {
  // 获取模型版本列表
  'POST /api/v1/model_version/getModelVersionList': async (req: Request, res: Response) => {
    console.log(req, 'getModelVersionList_req')
    const { page , pageSize} = req.body;

    const resData: successMockApiProps = {
      ...fetchCurrPageByList({...mockGetModelVersionListData, data: {...mockGetModelVersionListData.data, page, pageSize: pageSize || 10} }),
    };
    res.send(resData);
  },

  // 选择模型
'POST /api/v1/model_version/getModelVersionFkSelect': async (req: Request, res: Response) => {
    const resData: successMockApiProps = {
      ...fetchMockSuccessFullByOther(mockGetModelVersionFkSelect),
    };
    res.send(resData);
  }
};
